<% local form, viewlibrary, page_info, session = ... 
htmlviewfunctions = require("htmlviewfunctions")
%>

<% if viewlibrary and viewlibrary.dispatch_component then
	viewlibrary.dispatch_component("status")
end %>

<H1>Config</H1>
<%
	form.action = page_info.script .. page_info.prefix .. page_info.controller .. "/" .. page_info.action
	htmlviewfunctions.displayformstart(form)
%>
</DL>
<H2>General Parameters</H2>
<DL>
<%
	htmlviewfunctions.displayformitem(form.value.interface, "interface")
	htmlviewfunctions.displayformitem(form.value.listen_address, "listen_address")
	htmlviewfunctions.displayformitem(form.value.domain, "domain")
%>
</DL>
<H2>DNS Settings</H2>
<H3>DNS Parameters</H3>
<DL>
<%
	htmlviewfunctions.displayformitem(form.value.mx_host, "mx_host")
%>
</DL>

<H3>DNS Filtering</H3>
<DL>
<%
	htmlviewfunctions.displayformitem(form.value.dns_filtering, "dns_filtering")
	htmlviewfunctions.displayformitem(form.value.dns_whitelist, "dns_whitelist")
	htmlviewfunctions.displayformitem(form.value.dns_default_address, "dns_default_address")
%>
</DL>

<H2>DHCP Parameters</H2>
<DL>
<%
	htmlviewfunctions.displayformitem(form.value.dhcp_range, "dhcp_range")
	htmlviewfunctions.displayformitem(form.value.no_dhcp_interface, "no_dhcp_interface")
	htmlviewfunctions.displayformitem(form.value.dhcp_host, "dhcp_host")
	htmlviewfunctions.displayformitem(form.value.dhcp_option, "dhcp_option")
%>
</DL>

<H2>Save Changes</H2>
<DL>
<%
	htmlviewfunctions.displayformend(form)
%>
</DL>
